Skip to content
Guides
Post Payment Actions

Post Payment Actions

We’re still working on this section. More detailed information is coming soon.

Use this endpoint to cancel an authorized payment before it’s captured. It ensures funds are released and no payment is taken from the shopper.

authorizationId: Unique ID of the payment authorization you wish to void.

In order to void the authorization, make a POST /pay-ins/{authorizationId}/void request:

curl --location --request POST 'https://sandbox.unipaas.com/platform/pay-ins/{authorizationId}/void' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer --PRIVATE_KEY--'
  • Voiding is only available if the original transaction was created with “transactionType”: “Auth”.
  • Only applicable to authorizations that have not yet been captured.
  • Only all funds can be void (not partial)
  • Once voided, the payment cannot be captured later.
  • The voided transaction releases the hold on funds.
  • Use idempotency headers (requestId) to prevent duplicate voids from retries.

The Refund method is available exclusively for credit cards and is used to refund the original captured transaction. The funds of the captured transaction are returned to the shopper’s card/account.

  • You can refund the full amount of the original transaction or a partial amount.
  • Multiple refund requests are allowed, up to the total amount of the original transaction.
  • A refund will only be possible if there is enough balance available in the account.

Make a POST /pay-ins/{authorizationId}/refund request:

curl --location --request POST 'https://sandbox.unipaas.com/platform/pay-ins/{authorizationId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer --PRIVATE_KEY--'
--data '{"amount":100}'

Authorization reserves a specific amount on a card for capturing at a later date, usually within seven days.

In order to do a capture, make a POST /pay-ins/{authorizationId}/capture request:

curl --location --request POST 'https://sandbox.unipaas.com/platform/pay-ins/{authorizationId}/capture' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer --PRIVATE_KEY--'
--data '{"amount":100}'

Make a GET /pay-ins/{authorizationId} request:

curl --location --request GET 'https://sandbox.unipaas.com/platform/pay-ins/{authorizationId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer --PRIVATE_KEY--'